

<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Python Module Index &mdash; pycity_scheduling v1.4.1 v1.4.1 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=b86133f3" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=e59714d7" />

  
      <script src="_static/jquery.js?v=5d32c60e"></script>
      <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
      <script src="_static/documentation_options.js?v=cebe732b"></script>
      <script src="_static/doctools.js?v=9bcbadda"></script>
      <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
 


</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            pycity_scheduling v1.4.1
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.algorithms.html">pycity_scheduling.algorithms package</a></li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.classes.html">pycity_scheduling.classes package</a></li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.util.html">pycity_scheduling.util package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">pycity_scheduling v1.4.1</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Python Module Index</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             

   <h1>Python Module Index</h1>

   <div class="modindex-jumpbox">
   <a href="#cap-a"><strong>a</strong></a> | 
   <a href="#cap-c"><strong>c</strong></a> | 
   <a href="#cap-d"><strong>d</strong></a> | 
   <a href="#cap-e"><strong>e</strong></a> | 
   <a href="#cap-p"><strong>p</strong></a> | 
   <a href="#cap-s"><strong>s</strong></a> | 
   <a href="#cap-t"><strong>t</strong></a> | 
   <a href="#cap-u"><strong>u</strong></a>
   </div>

   <table class="indextable modindextable">
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-a"><td></td><td>
       <strong>a</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-1" style="display: none" alt="-" /></td>
       <td>
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms"><code class="xref">pycity_scheduling.algorithms</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.algorithm"><code class="xref">pycity_scheduling.algorithms.algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.algorithm_ray"><code class="xref">pycity_scheduling.algorithms.algorithm_ray</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.central_optimization_algorithm"><code class="xref">pycity_scheduling.algorithms.central_optimization_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.derivative_free_aladin_algorithm"><code class="xref">pycity_scheduling.algorithms.derivative_free_aladin_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.derivative_free_aladin_algorithm_ray"><code class="xref">pycity_scheduling.algorithms.derivative_free_aladin_algorithm_ray</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.derivative_free_aladin_algorithm_ray_Hvet"><code class="xref">pycity_scheduling.algorithms.derivative_free_aladin_algorithm_ray_Hvet</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.dual_decomposition_algorithm"><code class="xref">pycity_scheduling.algorithms.dual_decomposition_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.dual_decomposition_algorithm_mpi"><code class="xref">pycity_scheduling.algorithms.dual_decomposition_algorithm_mpi</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.dual_decomposition_algorithm_ray"><code class="xref">pycity_scheduling.algorithms.dual_decomposition_algorithm_ray</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_admm_algorithm"><code class="xref">pycity_scheduling.algorithms.exchange_admm_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_admm_algorithm_mpi"><code class="xref">pycity_scheduling.algorithms.exchange_admm_algorithm_mpi</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_admm_algorithm_ray"><code class="xref">pycity_scheduling.algorithms.exchange_admm_algorithm_ray</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_miqp_admm_algorithm"><code class="xref">pycity_scheduling.algorithms.exchange_miqp_admm_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_miqp_admm_algorithm_mpi"><code class="xref">pycity_scheduling.algorithms.exchange_miqp_admm_algorithm_mpi</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_miqp_admm_algorithm_ray"><code class="xref">pycity_scheduling.algorithms.exchange_miqp_admm_algorithm_ray</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.local_optimization_algorithm"><code class="xref">pycity_scheduling.algorithms.local_optimization_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.stand_alone_optimization_algorithm"><code class="xref">pycity_scheduling.algorithms.stand_alone_optimization_algorithm</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-c"><td></td><td>
       <strong>c</strong></td><td></td></tr>
     <tr>
       <td></td>
       <td>
       <a href="pycity_scheduling.case_studies.html#module-pycity_scheduling.case_studies"><code class="xref">pycity_scheduling.case_studies</code></a></td><td>
       <em></em></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-2" style="display: none" alt="-" /></td>
       <td>
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes"><code class="xref">pycity_scheduling.classes</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.apartment"><code class="xref">pycity_scheduling.classes.apartment</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.battery"><code class="xref">pycity_scheduling.classes.battery</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.boiler"><code class="xref">pycity_scheduling.classes.boiler</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.building"><code class="xref">pycity_scheduling.classes.building</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.building_energy_system"><code class="xref">pycity_scheduling.classes.building_energy_system</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.chiller"><code class="xref">pycity_scheduling.classes.chiller</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.city_district"><code class="xref">pycity_scheduling.classes.city_district</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.combined_heat_power"><code class="xref">pycity_scheduling.classes.combined_heat_power</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.curtailable_load"><code class="xref">pycity_scheduling.classes.curtailable_load</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.deferrable_load"><code class="xref">pycity_scheduling.classes.deferrable_load</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electric_heater"><code class="xref">pycity_scheduling.classes.electric_heater</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electric_vehicle"><code class="xref">pycity_scheduling.classes.electric_vehicle</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_entity"><code class="xref">pycity_scheduling.classes.electrical_entity</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_grid"><code class="xref">pycity_scheduling.classes.electrical_grid</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_line"><code class="xref">pycity_scheduling.classes.electrical_line</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_node"><code class="xref">pycity_scheduling.classes.electrical_node</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.entity_container"><code class="xref">pycity_scheduling.classes.entity_container</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.environment"><code class="xref">pycity_scheduling.classes.environment</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.fixed_load"><code class="xref">pycity_scheduling.classes.fixed_load</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.heat_pump"><code class="xref">pycity_scheduling.classes.heat_pump</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.optimization_entity"><code class="xref">pycity_scheduling.classes.optimization_entity</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.photovoltaic"><code class="xref">pycity_scheduling.classes.photovoltaic</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.prices"><code class="xref">pycity_scheduling.classes.prices</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.space_cooling"><code class="xref">pycity_scheduling.classes.space_cooling</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.space_heating"><code class="xref">pycity_scheduling.classes.space_heating</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_cooling_storage"><code class="xref">pycity_scheduling.classes.thermal_cooling_storage</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_entity_cooling"><code class="xref">pycity_scheduling.classes.thermal_entity_cooling</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_entity_heating"><code class="xref">pycity_scheduling.classes.thermal_entity_heating</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_heating_storage"><code class="xref">pycity_scheduling.classes.thermal_heating_storage</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.timer"><code class="xref">pycity_scheduling.classes.timer</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.weather"><code class="xref">pycity_scheduling.classes.weather</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-2">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.wind_energy_converter"><code class="xref">pycity_scheduling.classes.wind_energy_converter</code></a></td><td>
       <em></em></td></tr>
     <tr>
       <td></td>
       <td>
       <a href="pycity_scheduling.html#module-pycity_scheduling.constants"><code class="xref">pycity_scheduling.constants</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-d"><td></td><td>
       <strong>d</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-3" style="display: none" alt="-" /></td>
       <td>
       <a href="pycity_scheduling.data.html#module-pycity_scheduling.data"><code class="xref">pycity_scheduling.data</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-3">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.data.html#module-pycity_scheduling.data.ev_data"><code class="xref">pycity_scheduling.data.ev_data</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-3">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.data.html#module-pycity_scheduling.data.tabula_data"><code class="xref">pycity_scheduling.data.tabula_data</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-e"><td></td><td>
       <strong>e</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-4" style="display: none" alt="-" /></td>
       <td>
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples"><code class="xref">pycity_scheduling.examples</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_00_fundamentals"><code class="xref">pycity_scheduling.examples.example_00_fundamentals</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_01_algorithm_central"><code class="xref">pycity_scheduling.examples.example_01_algorithm_central</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_02_algorithm_local"><code class="xref">pycity_scheduling.examples.example_02_algorithm_local</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_07_algorithm_aladin"><code class="xref">pycity_scheduling.examples.example_07_algorithm_aladin</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_08_algorithm_warmstart"><code class="xref">pycity_scheduling.examples.example_08_algorithm_warmstart</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_09_algorithm_parallel_mpi"><code class="xref">pycity_scheduling.examples.example_09_algorithm_parallel_mpi</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_10_algorithm_parallel_ray"><code class="xref">pycity_scheduling.examples.example_10_algorithm_parallel_ray</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_14_objective_price"><code class="xref">pycity_scheduling.examples.example_14_objective_price</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_15_objective_co2"><code class="xref">pycity_scheduling.examples.example_15_objective_co2</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_17_district_generator"><code class="xref">pycity_scheduling.examples.example_17_district_generator</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_18_district_flexibility_quantification"><code class="xref">pycity_scheduling.examples.example_18_district_flexibility_quantification</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_19_scheduling_city_district_aladin"><code class="xref">pycity_scheduling.examples.example_19_scheduling_city_district_aladin</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_20_scheduling_complex_city_district"><code class="xref">pycity_scheduling.examples.example_20_scheduling_complex_city_district</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_22_scheduling_heating_and_cooling_loads"><code class="xref">pycity_scheduling.examples.example_22_scheduling_heating_and_cooling_loads</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_23_scheduling_convex_vs_integer_mode"><code class="xref">pycity_scheduling.examples.example_23_scheduling_convex_vs_integer_mode</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_24_scheduling_robust_optimization"><code class="xref">pycity_scheduling.examples.example_24_scheduling_robust_optimization</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_25_scheduling_with_grid_four_load_branch"><code class="xref">pycity_scheduling.examples.example_25_scheduling_with_grid_four_load_branch</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_26_scheduling_with_grid_four_load_branch_out"><code class="xref">pycity_scheduling.examples.example_26_scheduling_with_grid_four_load_branch_out</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_27_scheduling_with_grid_two_load_generation_branch"><code class="xref">pycity_scheduling.examples.example_27_scheduling_with_grid_two_load_generation_branch</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-4">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.examples.html#module-pycity_scheduling.examples.example_28_scheduling_with_grid_N_branches"><code class="xref">pycity_scheduling.examples.example_28_scheduling_with_grid_N_branches</code></a></td><td>
       <em></em></td></tr>
     <tr>
       <td></td>
       <td>
       <a href="pycity_scheduling.html#module-pycity_scheduling.exceptions"><code class="xref">pycity_scheduling.exceptions</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-p"><td></td><td>
       <strong>p</strong></td><td></td></tr>
     <tr>
       <td></td>
       <td>
       <a href="pycity_scheduling.html#module-pycity_scheduling"><code class="xref">pycity_scheduling</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-s"><td></td><td>
       <strong>s</strong></td><td></td></tr>
     <tr>
       <td></td>
       <td>
       <a href="pycity_scheduling.html#module-pycity_scheduling.solvers"><code class="xref">pycity_scheduling.solvers</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-t"><td></td><td>
       <strong>t</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-5" style="display: none" alt="-" /></td>
       <td>
       <a href="pycity_scheduling.testing.html#module-pycity_scheduling.testing"><code class="xref">pycity_scheduling.testing</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-5">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests"><code class="xref">pycity_scheduling.testing.unit_tests</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-5">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests.test_algorithms"><code class="xref">pycity_scheduling.testing.unit_tests.test_algorithms</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-5">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests.test_all_classes"><code class="xref">pycity_scheduling.testing.unit_tests.test_all_classes</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-5">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests.test_classes"><code class="xref">pycity_scheduling.testing.unit_tests.test_classes</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-5">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests.test_examples"><code class="xref">pycity_scheduling.testing.unit_tests.test_examples</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-5">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.testing.unit_tests.html#module-pycity_scheduling.testing.unit_tests.test_util"><code class="xref">pycity_scheduling.testing.unit_tests.test_util</code></a></td><td>
       <em></em></td></tr>
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-u"><td></td><td>
       <strong>u</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-6" style="display: none" alt="-" /></td>
       <td>
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util"><code class="xref">pycity_scheduling.util</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-6">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.approximation"><code class="xref">pycity_scheduling.util.approximation</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-6">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.debug"><code class="xref">pycity_scheduling.util.debug</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-6">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.district_analyzer"><code class="xref">pycity_scheduling.util.district_analyzer</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-6">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.factory"><code class="xref">pycity_scheduling.util.factory</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-6">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.generic_constraints"><code class="xref">pycity_scheduling.util.generic_constraints</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-6">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.metric"><code class="xref">pycity_scheduling.util.metric</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-6">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.mpi_interface"><code class="xref">pycity_scheduling.util.mpi_interface</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-6">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.plot_schedules"><code class="xref">pycity_scheduling.util.plot_schedules</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-6">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="pycity_scheduling.util.html#module-pycity_scheduling.util.write_schedules"><code class="xref">pycity_scheduling.util.write_schedules</code></a></td><td>
       <em></em></td></tr>
   </table>


           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2025, Institute for Automation of Complex Power Systems (ACS), E.ON Energy Research Center (E.ON ERC), RWTH Aachen University.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>